package com.cultural.heritage.model.dto.cartService;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "购物车订单创建请求体", requiredProperties = {"orderType", "userName", "addressId",
        "couponId", "totalAmount", "note", "cartPayRequestList"})
public class CartExperienceOrderAddRequest implements Serializable {


    /**
     * 订单类别
     */
    @Schema(description = "订单类别", example = "product")
    private String orderType;


    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "张三")
    private String userName;


    /**
     * 地址id
     */
    @Schema(description = "联系人(id > 0)", example = "12")
    private Long contactsId;


    /**
     * 优惠券id
     */
    @Schema(description = "优惠券id(id > 0)", example = "2")
    private Long couponId;


    /**
     * 订单备注
     */
    @Schema(description = "订单备注", example = "希望能完整体验非遗文化，保持产品原貌，妥善包装")
    private String note;


    /**
     * 购物车订单明细创建请求体
     */
    @Schema(description = "购物车订单明细创建请求体")
    private List<CartExperienceOrderItemAddRequest> cartOrderItemAddRequestList;



    @Serial
    private static final long serialVersionUID = 1L;
}
