package com.cultural.heritage.model.dto.photoProducts;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "写真产品更新请求体", requiredProperties =
        {"id", "name", "introImg", "richText", "minNumber", "maxNumber", "shotScene", "price", "categoryId"})
public class PhotoProductsUpdateRequest implements Serializable {


    /**
     * 产品id
     */
    @Schema(description = "产品id", example = "1")
    private Long id;


    /**
     * 产品名称
     */
    @Schema(description = "产品名称", example = "彩绣菊花纹刺绣长袍")
    private String name;


    /**
     * 介绍图片
     */
    @Schema(description = "介绍图片", example = "https://www.xxx.jpg")
    private String introImg;


    /**
     * 产品详情（富文本）
     */
    private String richText;


    /**
     * 限定预约人数
     */
    @Schema(description = "限定预约人数", example = "4")
    private Integer count;


    /**
     * 拍摄场景
     */
    @Schema(description = "拍摄场景", example = "室内")
    private String shotScene;



    /**
     * 产品价格
     */
    @Schema(description = "产品价格", example = "100.00")
    private BigDecimal price;


    /**
     * 写真类别名称
     */
    @Schema(description = "写真类别名称", example = "5")
    private String categoryName;



    @Serial
    private static final long serialVersionUID = 1L;
}
