package com.cultural.heritage.service.book.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.mapper.BookingDateMapper;
import com.cultural.heritage.model.entity.BookingDate;
import com.cultural.heritage.service.book.BookingDateService;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class BookingDateServiceImpl extends ServiceImpl<BookingDateMapper, BookingDate> implements BookingDateService {


    @Override
    public void validBookingDate(BookingDate bookingDate, boolean update) {
        Long dateId = bookingDate.getId();
        String specificDate = bookingDate.getSpecificDate();
        Integer isAvailable = bookingDate.getIsAvailable();
        Long photoProductId = bookingDate.getPhotoProductId();

        if (update) {
            if (dateId == null) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "id参数错误");
            }
        }
        if (ObjectUtils.isEmpty(photoProductId)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "写真产品id参数为空");
        }
        if (ObjectUtils.isEmpty(isAvailable) || isAvailable != 1 && isAvailable != 0) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "是否可预约参数错误");
        }
        if (StringUtils.isAnyBlank(specificDate)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "存在字符串类型参数为空");
        }

    }
}
