package com.cultural.heritage.service.clothes.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.exception.ThrowUtils;
import com.cultural.heritage.mapper.ClothesCategoryMapper;
import com.cultural.heritage.model.entity.ClothesCategory;
import com.cultural.heritage.service.clothes.ClothesCategoryService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class ClothesCategoryServiceImpl extends ServiceImpl<ClothesCategoryMapper, ClothesCategory> implements ClothesCategoryService {


    /**
     * 校验
     */
    @Override
    public void validClothesCategory(ClothesCategory clothesCategory, boolean update) {

        Long id = clothesCategory.getId();
        String name = clothesCategory.getName();

        if (update) {
            if (id == null) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "参数id错误");
            }
        }
        if (StringUtils.isBlank(name)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "类别名称不能为空");
        }
        QueryWrapper<ClothesCategory> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("name", name);
        if (update) {
            queryWrapper.ne("id", id);
            Long count = this.baseMapper.selectCount(queryWrapper);
            ThrowUtils.throwIf(count > 0, ErrorCode.OPERATION_ERROR, "当前服装类别名称已存在");
        } else {
            Long count = this.baseMapper.selectCount(queryWrapper);
            ThrowUtils.throwIf(count > 0, ErrorCode.OPERATION_ERROR, "不能重复添加服装类别名称");
        }
    }
}
