package com.cultural.heritage.utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class RefundUtils {

    // 生成唯一的全额退款单号，格式为 yyyyMMddHHmmssSSS + 随机数
    public static String generateRefundNo() {
        // 获取当前时间的时间戳
        String timestamp = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date());

        // 生成一个 4 位随机数，保证每次退款单号不同
        int randomNum = new Random().nextInt(9000) + 1000; // 生成1000到9999之间的随机数

        // 拼接退款单号
        return timestamp + randomNum;
    }


    // 生成唯一的部分退款单号，格式为 yyyyMMddHHmmssSSS + 订单明细
    public static String generateRefundPartNo(String orderItemId) {
        // 获取当前时间的时间戳
        String timestamp = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date());

        String orderItemString = padString(orderItemId);

        // 拼接退款单号
        return timestamp + orderItemString;
    }

    // 将退款单号解析为订单明细id
    public static String parseRefundNoToItemId(String outRefundNo) {

        // 提取剩下的原始数字部分
        String original = outRefundNo.substring(17);  // 获取从第18位开始的部分

        // 去掉前导0
        original = original.replaceAll("^0+", ""); // 正则表达式去除开头的0

        return original;  // 返回提取的原始字符串
    }


    public static String padString(String input) {
        if (input.length() < 4) {
            input =  String.format("%04d", Integer.parseInt(input));  // 补齐前导0
        }
        return input;
    }

}
