package com.cultural.heritage.utils;

import java.util.ArrayList;
import java.util.List;

public class TimeSplitterUtils {

    public static List<Long> splitTime(long totalSeconds) {
        List<Long> timeIntervals = new ArrayList<>();
        long oneDayInSeconds = 864000;  // 10天的秒数

        // 拆分完整的天数
        while (totalSeconds >= oneDayInSeconds) {
            timeIntervals.add(oneDayInSeconds);  // 每天加一个完整的时间段
            totalSeconds -= oneDayInSeconds;  // 减去已拆分的天数
        }
        // 如果剩余时间大于0，则加上剩余的时间
        if (totalSeconds > 0) {
            timeIntervals.add(totalSeconds);  // 剩余时间
        }
        return timeIntervals;
    }

}
